## qrq 0.1.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.1.2
+VERSION=0.1.3
 DESTDIR ?= /usr
 
 all: qrq
