=== debian/control ===
Source: qrq
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libpulse-dev
Standards-Version: 3.9.2
Homepage: http://fkurz.net/ham/qrq.html

Package: qrq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot
Description: high speed morse trainer, similar to DL4MM's Rufz
 qrq is an open source morse telegraphy trainer for Linux and Unix operating
 systems, similar to the classic DOS version of Rufz by DL4MM.
 .
 It is not intended for learning telegraphy, but to improve the ability
 to copy callsigns at high speeds, as needed for example for Contesting.
