=== debian/changelog ===
qrq (0.2.1-2) unstable; urgency=low

  * The following changes were present in the -1 release
    but omitted from the changelog
  * Dropped patch which was applied upstream:
    - fix-build-for-gcc-4.6.patch
  * Enabled DM-Upload-Allowed: yes
  * Clean up rules and eliminate lintian warning
    - debian-rules-missong-recommended-target

 -- Steve Conklin <steve@conklinhouse.com>  Thu, 29 Sep 2011 08:57:18 -0500

qrq (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Steve Conklin <steve@conklinhouse.com>  Thu, 29 Sep 2011 04:11:18 -0500
