=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,17 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
-	# Add here commands to compile the package.
 	$(MAKE) DESTDIR=/usr
 	#docbook-to-man debian/qrq.sgml > qrq.1
 
@@ -36,7 +36,6 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
 	dh_clean 
@@ -47,7 +46,6 @@
 	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the package into debian/qrq.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/qrq/usr install
 	ln -s qrq.1.gz $(CURDIR)/debian/qrq/usr/share/man/man1/qrqscore.1.gz
