## qrq 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.2.1
+VERSION=0.3.0
 DESTDIR?=/usr
 
 # set to YES if you want to use Core Audio
@@ -9,6 +9,9 @@
 
 # set to YES if you want to use PulseAudio instead of OSS
 USE_PA=YES
+
+# set to YES if you compile with MINGW32
+USE_WIN32=NO
 
 # set to YES if building on OSX
 OSX_PLATFORM=NO
@@ -22,12 +25,12 @@
 		OSX_BUNDLE=NO
 endif
 
-CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"
+CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\" -I.
 CC=gcc
 
 ifeq ($(USE_CA), YES)
 		OBJECTS=qrq.o coreaudio.o
-		CFLAGS:=$(CFLAGS) -D CA -std=c99
+		CFLAGS:=$(CFLAGS) -D CA -std=c99 -pthread
 		ifeq ($(OSX_PLATFORM), YES)
 			LDFLAGS:=$(LDFLAGS) -framework AudioUnit -framework CoreServices  -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
 			CFLAGS:=$(CFLAGS) -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
@@ -43,18 +46,23 @@
 			SSH=ssh -p2222
 		endif
 else ifeq ($(USE_PA), YES)
+		CFLAGS:=$(CFLAGS) -D PA -pthread
+		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse -lncurses
+		OBJECTS=qrq.o pulseaudio.o
+else ifeq ($(USE_WIN32), YES)
 		CFLAGS:=$(CFLAGS) -D PA
-		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse 
-		OBJECTS=qrq.o pulseaudio.o
+		LDFLAGS:=$(LDFLAGS) -lwinmm
+		OBJECTS=qrq.o qrq.res pdcurses.a libpthreadGC1.a 
 else
 		OBJECTS=qrq.o oss.o
+		LDFLAGS:=$(LDFLAGS) -lpthread -lncurses
 		CFLAGS:=$(CFLAGS) -D OSS
 endif	
 
 all: qrq
 
 qrq: $(OBJECTS)
-	$(CC) -pthread -Wall -o $@ $^ -lm -lncurses $(LDFLAGS)
+	$(CC) -Wall -o $@ $^ -lm $(LDFLAGS)
 	
 .c.o:
 	$(CC) -Wall $(CFLAGS) -c $<
@@ -143,7 +151,7 @@
 	mkdir qrq-$(VERSION)
 	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
 		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
-		english.qcb \
+		english.qcb qrq.ico qrq.rc \
 		qrq-$(VERSION)
 	cp coreaudio.c coreaudio.h oss.c oss.h \
 		qrq-$(VERSION)
