=== debian/changelog ===
qrq (0.3.0-2ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Apr 2013 12:41:13 -0400

qrq (0.3.0-2) unstable; urgency=low

  * Fixed qrq.desktop main category

 -- Kamal Mostafa <kamal@whence.com>  Tue, 10 Jan 2012 09:25:17 -0800

qrq (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Install qrq.png and qrq.desktop

 -- Kamal Mostafa <kamal@whence.com>  Mon, 09 Jan 2012 13:29:42 -0800
