=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: qrq
 Section: hamradio
 Priority: extra
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libpulse-dev
 Standards-Version: 3.9.2
 Homepage: http://fkurz.net/ham/qrq.html
