=== debian/changelog ===
qrq (0.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/
    - debian/patches/link-with-lpthread.patch (Closes: 713589)
    - replaced old style debian/rules
    - bumped debian/compat to 9
    - bumped Standards-Version to 3.9.4
    - removed obsolete DM-Upload-Allowed

 -- Kamal Mostafa <kamal@whence.com>  Sun, 23 Jun 2013 10:50:39 -0700
