=== debian/watch ===
version=3
http://fkurz.net/ham/qrq/qrq-(.*)\.tar\.gz
