## qrq 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.3.1
+VERSION?=0.3.3
 DESTDIR?=/usr
 
 # set to YES if you want to use Core Audio
@@ -25,8 +25,18 @@
 		OSX_BUNDLE=NO
 endif
 
-CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\" -I.
-CC=gcc
+ifeq ($(USE_WIN32), YES)
+	CC=i686-w64-mingw32-gcc-posix
+else
+	CC=gcc
+endif
+
+# build information may be added by CI scripts and will be
+# displayed in the help text (qrq -h)
+
+BUILD_INFO=" Date: $(shell date --iso=seconds)\n git branch/commit: $(shell if [ x${CI_COMMIT_REF_NAME} != x ]; then echo ${CI_COMMIT_REF_NAME} ; elif [ -e .git ] || [ -e ../.git ]; then git symbolic-ref --short HEAD ; else echo not built from git repository ; fi) / $(shell if [ x${CI_COMMIT_SHA} != x ]; then echo ${CI_COMMIT_SHA}; elif [ -e .git ] || [ -e ../.git ] ; then git rev-parse --verify HEAD ; else echo - ; fi )\n by $(USER)@$(shell hostname -f)\n OS: $(shell uname -s -r -p)\n Compiler: $(shell $(CC) --version | head -1)"
+
+CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D BUILD_INFO=\"$(BUILD_INFO)\" -D VERSION=\"$(VERSION)\" -I.
 
 ifeq ($(USE_CA), YES)
 		OBJECTS=qrq.o coreaudio.o
@@ -47,17 +57,17 @@
 		endif
 else ifeq ($(USE_PA), YES)
 		CFLAGS:=$(CFLAGS) -D PA -pthread
-		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse -lncurses
+		LDFLAGS:=$(LDFLAGS) -lpthread -lpulse-simple -lpulse -lncurses
 		OBJECTS=qrq.o pulseaudio.o
 else ifeq ($(USE_WIN32), YES)
-		CFLAGS:=$(CFLAGS) -D PA
-		LDFLAGS:=$(LDFLAGS) -lwinmm
-		OBJECTS=qrq.o qrq.res pdcurses.a libpthreadGC1.a 
+		CFLAGS:=$(CFLAGS) -D WIN32 -Iinclude -Iinclude/ncursesw
+		LDFLAGS:=$(LDFLAGS) -lwinmm -lpthread
+		OBJECTS=qrq.o qrq.res lib/libncursesw.a
 else
 		OBJECTS=qrq.o oss.o
 		LDFLAGS:=$(LDFLAGS) -lpthread -lncurses
 		CFLAGS:=$(CFLAGS) -D OSS
-endif	
+endif
 
 all: qrq
 
@@ -139,18 +149,18 @@
 	$(SSH) $(IPHONE_HOST) "dpkg -i /tmp/cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb"
 
 clean:
-	rm -f qrq toplist-old *~ *.o
+	rm -f qrq.exe qrq toplist-old *~ *.o README
+	rm -rf Summary
 	rm -rf qrq.app
 
 dist:
-	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' README > README2
-	rm -f README
-	mv README2 README
-	rm -f releases/qrq-$(VERSION).tar.gz
-	rm -rf releases/qrq-$(VERSION)
+	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' ../README > README
+	mkdir -p ../releases
+	rm -f ../releases/qrq-$(VERSION).tar.gz
+	rm -rf ../releases/qrq-$(VERSION)
 	mkdir qrq-$(VERSION)
 	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
-		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
+		../AUTHORS ../ChangeLog README ../COPYING qrq.1 Makefile qrqinstaller.nsi \
 		english.qcb qrq.ico qrq.rc \
 		qrq-$(VERSION)
 	cp coreaudio.c coreaudio.h oss.c oss.h \
@@ -159,7 +169,7 @@
 	cp -r OSXExtras qrq-$(VERSION)
 	rm -rf qrq-$(VERSION)/OSXExtras/.svn/
 	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
-	mv qrq-$(VERSION) releases/
-	mv qrq-$(VERSION).tar.gz releases/
-	md5sum releases/*.gz > releases/md5sums.txt
+	mv qrq-$(VERSION) ../releases/
+	mv qrq-$(VERSION).tar.gz ../releases/
+	md5sum ../releases/*.gz > ../releases/md5sums.txt
