=== debian/changelog ===
qrq (0.3.3-3) unstable; urgency=medium

  * Team upload.
  * Specify debhelper compat 12 via debhelper-compat dependency
  * Set "Rules-Requires-Root: no" in debian/control
  * Use https URL in debian/watch
  * Convert debian/copyright to DEP-5 format
  * Add typos.patch

 -- tony mancill <tmancill@debian.org>  Fri, 10 Jan 2020 18:58:39 -0800

qrq (0.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #948524)

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jan 2020 14:10:44 +0100

qrq (0.3.3-1) unstable; urgency=medium

  * New upstream version.
  * Priority: optional.
  * Don't remove README on clean.
  * Remove BUILD_INFO, it makes the build non-reproducible.
  * Add CPPFLAGS to compiler commands.
  * Use dh_link instead of manual ln call.
  * Add debian/gitlab-ci.yml.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Jun 2019 21:15:45 +0200

qrq (0.3.1-3) unstable; urgency=medium

  * Fix segfault using pulseaudio at qrs bug (Closes: #825862)
    patch from Andreas, DJ3EI
  * Bump Standards-Version to 3.9.8
  * Make stastics plot persistent (Closes: #834932)
    patch from Bernhard Kneip

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Jul 2017 13:15:00 +0100

qrq (0.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6
  * Remove Hurd from list of supported archs (Closes: #782096)
    Thanks to patch from mtang@openmailbox.org
  * fix Conflicting declarations of function write_audio
    patch from Michael Tautschnig <mt@debian.org> (Closes: #750241)

 -- Colin Tuckley <colint@debian.org>  Sat, 09 May 2015 20:29:20 +0100
