=== debian/control ===
Source: qrq
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Steve Conklin <steve@conklinhouse.com>,
 Kamal Mostafa <kamal@whence.com>,
 Colin Tuckley <colint@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 12), libncurses5-dev, libpulse-dev
Standards-Version: 4.4.1
Homepage: https://fkurz.net/ham/qrq.html
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/qrq.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/qrq
Rules-Requires-Root: no

Package: qrq
Architecture: kfreebsd-any linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: high speed morse trainer, similar to DL4MM's Rufz
 qrq is an open source morse telegraphy trainer for Linux and Unix operating
 systems, similar to the classic DOS version of Rufz by DL4MM.
 .
 It is not intended for learning telegraphy, but to improve the ability
 to copy callsigns at high speeds, as needed for example for Contesting.
