=== debian/watch ===
version=3
https://fkurz.net/ham/qrq/qrq-(.*)\.tar\.gz
