=== debian/changelog ===
qrq (0.3.5-3) unstable; urgency=medium

  * Cherry-pick latest upstream patches to build with gcc 15.
    (Closes: #1097708)

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2025 18:29:29 +0200

qrq (0.3.5-2) unstable; urgency=medium

  * Grab two patches from upstream git:
    + Configurable speed step after each call (tnx DF7CB)
    + Option to stop after an error for review (tnx K7MOZ, EI6LA)
  * Change B-D libncurses5-dev to libncurses-dev.

 -- Christoph Berg <myon@debian.org>  Sun, 31 Dec 2023 14:19:01 +0100

qrq (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5.
  * Retire Steve and Kamal from Uploaders, thanks for your work!
  * Remove obsolete README.Debian.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jan 2022 10:19:18 +0100

qrq (0.3.3-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat 13
  * Remove Colin Tuckley from Uploaders. (Closes: #990598)
  * Bump Standards-Version to 4.6.0
  * Add warnings-as-errors.patch to address FTBFS (Closes: #997190)
  * debian/rules: debhelper >= 11 handles setting strip for INSTALL

 -- tony mancill <tmancill@debian.org>  Sat, 23 Oct 2021 14:30:09 -0700
