=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# quirk around the Makefile's DESTDIR?=/usr oddity
	dh_auto_install --destdir debian/qrq/usr
